- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Attributes | Friends | List of all members
WPSCell Class Referenceabstract

a structure used to defined the cell position, and a format More...

`#include <WPSCell.h>`

Inheritance diagram for WPSCell:

## Classes
struct | Compare
| a comparaison structure used retrieve the rows and the columns More...

## Public Member Functions
| WPSCell ()
| constructor More...
void | setBox (Box2f const &b)
| set the bounding box (units in point) More...
Box2f const & | box () const
| return the bounding box More...
bool | isVerticalSet () const
| returns true if the vertical is fixed More...
void | setVerticalSet (bool verticalSet)
| fixes or not the vertical size More...
Vec2i & | position ()
| position accessor More...
Vec2i const & | position () const
| position accessor More...
void | setPosition (Vec2i posi)
| set the cell positions : 0,0 -> A1, 0,1 -> A2 More...
Vec2i const & | numSpannedCells () const
| returns the number of spanned cells More...
void | setNumSpannedCells (Vec2i numSpanned)
| sets the number of spanned cells : Vec2i(1,1) means 1 cellule More...
virtual bool | send (WPSContentListenerPtr &listener)=0
| call when a cell must be send More...
virtual bool | sendContent (WPSContentListenerPtr &listener)=0
| call when the content of a cell must be send More...
Public Member Functions inherited from WPSCellFormat
| WPSCellFormat ()
| constructor More...
virtual | ~WPSCellFormat ()
HorizontalAlignment | hAlignement () const
| returns the horizontal alignement More...
void | setHAlignement (HorizontalAlignment align)
| sets the horizontal alignement More...
bool | hasBorders () const
| return true if the cell has some border More...
std::vector< WPSBorder > const & | borders () const
| return the cell border: libwps::LeftBit | ... More...
void | resetBorders ()
| reset the border More...
void | setBorders (int wh, WPSBorder const &border)
| sets the cell border: wh=WPSBorder::LeftBit|... More...
uint32_t | backgroundColor () const
| returns the background color More...
void | setBackgroundColor (uint32_t color)
| set the background color More...
int | compare (WPSCellFormat const &cell) const
| a comparison function More...

## Protected Attributes
Box2f | m_box
| the cell bounding box (unit in point) More...
bool | m_verticalSet
| true if y size is fixed More...
Vec2i | m_position
| the cell row and column : 0,0 -> A1, 0,1 -> A2 More...
Vec2i | m_numberCellSpanned
| the cell spanned : by default (1,1) More...
Protected Attributes inherited from WPSCellFormat
HorizontalAlignment | m_hAlign
| the cell alignement : by default nothing More...
std::vector< WPSBorder > | m_bordersList
| the cell border WPSBorder::Pos More...
uint32_t | m_backgroundColor
| the backgroung color More...

## Friends
class | WPSTable
std::ostream & | operator<< (std::ostream &o, WPSCell const &cell)
| operator<< More...

## Additional Inherited Members
Public Types inherited from WPSCellFormat
enum | HorizontalAlignment { HALIGN_LEFT, HALIGN_RIGHT, HALIGN_CENTER, HALIGN_FULL, HALIGN_DEFAULT }
| the default horizontal alignement. More...

## Detailed Description

a structure used to defined the cell position, and a format

## Constructor & Destructor Documentation

WPSCell::WPSCell | ( |  | ) |
| inline

constructor

## Member Function Documentation

Box2f const& WPSCell::box | ( |  | ) | const
| inline

return the bounding box

Referenced by WPSCell::Compare::Point::getPos(), WPSCell::Compare::Point::getSize(), and WPSCell::Compare::operator()().

bool WPSCell::isVerticalSet | ( |  | ) | const
| inline

returns true if the vertical is fixed

Vec2i const& WPSCell::numSpannedCells | ( |  | ) | const
| inline

returns the number of spanned cells

Referenced by WPSContentListener::openTableCell(), and operator<<().

Vec2i& WPSCell::position | ( |  | ) |
| inline

position accessor

Referenced by WPSContentListener::openTableCell().

Vec2i const& WPSCell::position | ( |  | ) | const
| inline

position accessor

virtual bool WPSCell::send | ( | WPSContentListenerPtr & | listener | ) |
| pure virtual

call when a cell must be send

Implemented in WPS8TableInternal::Cell.

virtual bool WPSCell::sendContent | ( | WPSContentListenerPtr & | listener | ) |
| pure virtual

call when the content of a cell must be send

Implemented in WPS8TableInternal::Cell.

void WPSCell::setBox | ( | Box2f const & | b | ) |
| inline

set the bounding box (units in point)

void WPSCell::setNumSpannedCells | ( | Vec2i | numSpanned | ) |
| inline

sets the number of spanned cells : Vec2i(1,1) means 1 cellule

void WPSCell::setPosition | ( | Vec2i | posi | ) |
| inline

set the cell positions : 0,0 -> A1, 0,1 -> A2

void WPSCell::setVerticalSet | ( | bool | verticalSet | ) |
| inline

fixes or not the vertical size

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSCell const & | cell
| ) |  |
| friend

operator<<

friend class WPSTable
| friend

## Member Data Documentation

Box2f WPSCell::m_box
| protected

the cell bounding box (unit in point)

Referenced by box(), operator<<(), and setBox().

Vec2i WPSCell::m_numberCellSpanned
| protected

the cell spanned : by default (1,1)

Referenced by numSpannedCells(), and setNumSpannedCells().

Vec2i WPSCell::m_position
| protected

the cell row and column : 0,0 -> A1, 0,1 -> A2

Referenced by operator<<(), position(), and setPosition().

bool WPSCell::m_verticalSet
| protected

true if y size is fixed

Referenced by isVerticalSet(), WPSCell::Compare::operator()(), operator<<(), and setVerticalSet().

The documentation for this class was generated from the following file:

- WPSCell.h